%define anolis_release 1
%define gitdate 20200205
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Name:		xorg-x11-drv-intel
Epoch:		1
Version:	2.99.917
Release:	%{anolis_release}%{?dist}
Summary:	Xorg X11 Intel video driver

License:	MIT
URL:		http://www.x.org
Source0:	https://xorg.freedesktop.org/archive/individual/driver/xf86-video-intel-%{gitdate}.tar.bz2
Patch0:		0000-intel-gcc-pr65873.patch
Patch1:		0001-sna-Avoid-clobbering-output-physical-size-with-xf86O.patch

ExclusiveArch: 	x86_64

BuildRequires:	make
BuildRequires:	autoconf automake libtool
BuildRequires:	xorg-x11-server-devel >= 1.10.99.902
BuildRequires:	libX11-devel
BuildRequires:	libXcursor-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXinerama-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXtst-devel
BuildRequires:	libXvMC-devel
BuildRequires:	libXfont2-devel
BuildRequires:	mesa-libGL-devel >= 6.5
BuildRequires:	libdrm-devel >= 2.4.25
BuildRequires:	kernel-headers >= 2.6.32.3
BuildRequires:	libudev-devel
BuildRequires:	libxcb-devel >= 1.5
BuildRequires:	xcb-util-devel
BuildRequires:	cairo-devel
BuildRequires:	python3
BuildRequires:	libXScrnSaver-devel
BuildRequires:	libXext-devel
BuildRequires:	pixman-devel
# XXX this wants an upstream fix
BuildRequires:	libXv-devel
 
Requires:	Xorg %(xserver-sdk-abi-requires ansic)
Requires:	Xorg %(xserver-sdk-abi-requires videodrv)
Requires:	polkit

%description
X.Org X11 Intel video driver.

%prep
%autosetup -n xf86-video-intel-%{gitdate} -p1

%build
%define _lto_cflags %{nil}

autoreconf -f -i -v
%configure --enable-kms-only --with-default-dri=3 --enable-tools
make %{?_smp_mflags} V=1

%install
%make_install

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

rm -f $RPM_BUILD_ROOT%{_libdir}/libI*XvMC.so

%ldconfig_post
%ldconfig_postun

%files
%license COPYING
%{driverdir}/intel_drv.so
%{_libdir}/libIntelXvMC.so.1*
%{_libexecdir}/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%{_mandir}/man4/i*
%{_bindir}/intel-virtual-output

%changelog
* Fri Apr 22 2022 happy_orange <songnannan@linux.alibaba.com> - 1:2.99.917-1
- Init package from upstream
